* {
  box-sizing: border-box;
  -webkit-tap-highlight-color: rgba(0,0,0,0);
}
*:focus {
  outline: none;
}

.visually-hidden {
  position: absolute !important;
  height: 1px;
  width: 1px;
  overflow: hidden;
  clip: rect(1px, 1px, 1px, 1px);
}

html {
  font-size: 10px;
}

body {
  font-family: 'Futura', 'Arial';
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  overflow: hidden;
  font-size: 1.6rem;
  color: #fff;
  margin: 0;
  padding: 0;
}
body.tabfocus *:focus {
  outline: 3px solid yellow;
  outline-offset: -3px;
  box-shadow: 0 0 10px #000;
}
body.tabfocus .header *:focus,
body.tabfocus .footer *:focus {
  outline-offset: 3px;
}

a, a:visited {
  text-decoration: none;
  color: #fff;
}
.btn {
  display: inline-block;
  padding: 1.1rem 3rem 0.9rem 1rem;
  margin: 0.5rem;
  background-color: #fff;
  background-image: none;
  color: #000;
  font-size: 1.5rem;
  font-family: inherit;
  font-weight: bold;
  letter-spacing: 0.28px;
  line-height: 1.3em;
  border: none;
  border-radius: 5px;
  text-align: center;
  text-decoration: none;
  text-shadow: none;
  box-shadow: none;
  white-space: normal;
  position: relative;
  overflow: hidden;
}
.btn:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background: #FFEA00;
  -webkit-transition: width 0.5s;
  transition: width 0.5s;
}
.btn:after {
  content: "";
  position: absolute;
  top: 50%;
  right: 1.2rem;
  margin-top: -0.5rem;
  display: inline-block;
  width: 0.8rem;
  height: 0.8rem;
  border: 2px solid #018940;
  border-left: none;
  border-bottom: none;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}
.btn:hover:before {
  width: 100%;
  z-index: 0;
}
.btn:visited {
  color: #000;
}
.btn * {
  position: relative;
}
.eu-logo {
  display: none; /*inline-block;*/
  line-height: 0;
  height: 15rem;
  -webkit-align-self: flex-end;
  align-self: flex-end;
  -webkit-transform-origin: right bottom;
  transform-origin: right bottom;
  -webkit-transition: transform 0.5s;
  transition: transform 0.5s;
  z-index: 2;
}
.eu-logo img {
  width: auto;
  height: 15rem;
}
.eu-logo:hover {
  -webkit-transform: scale(1.3);
  transform: scale(1.3);
}

.wrap {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-wrap: wrap;
  flex-wrap: wrap;
  height: 100vh;
  width: 100vw;
}
.header {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
  -webkit-justify-content: space-between;
  justify-content: space-between;
  width: 100%;
  height: 13rem;
  min-height: 13rem;
  background: #018940;
}
.header.top {
  display: none;
}
.branding {
  min-width: 42rem;
  padding: 3rem 0 3rem 3rem;
}
.branding .sitename {
  font-size: 1.7rem;
  font-weight: bold;
  color: #fff;
  height: 6.5rem;
  margin: 0;
  padding-top: 0.5rem;
  padding-bottom: 1.1rem;
}
.branding .sitename span {
  display: block;
  font-size: 1.2rem;
  font-weight: 500;
  padding-top: 0.3rem;
}
.branding .sitename a {
  color: #fff;
}
.branding .anno {
  font-size: 0.9rem;
  line-height: 1.1rem;
  font-weight: bold;
  font-style: italic;
  color: #fff;  /*#95C11F;*/
  display: block;
  clear: left;
  padding-left: 8rem;
  margin-bottom: -1.1rem;
  -webkit-transform: translateY(-100%);
  transform: translateY(-100%);
}
.branding .logo {
  display: inline-block;
  width: 6rem;
  height: 6.5rem;
  margin-right: 2rem;
  float: left;
  line-height: 0;
}
.branding .logo img {
  border: 1px solid #fff;
  width: 6rem;
  height: auto;
}
.buttons {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-flex-grow: 1;
  flex-grow: 1;
  -webkit-align-items: center;
  align-items: center;
}
.buttons .btn {
  width: auto;
}
.buttons:after {
  content: "";
  display: inline-block;
  background: url('../images/csaladbarat-logo.svg') no-repeat, url('../images/ev-honlapja-kulondij-2021.svg') no-repeat, url('../images/ev-honlapja-2021.svg') no-repeat;
  background-position: left center, center center, right center;
}

.lang {
  position: relative;
  z-index: 3;
  -webkit-order: 1;
  order: 1;
  -webkit-transition: margin-top 0.5s;
  transition: margin-top 0.5s;
}
.lang .lang-opener {
  background: none;
  color: #fff;
  padding-right: 1.5rem;
}
.lang .lang-opener:hover {
  cursor: pointer;
  color: #FFEA00;
}
.lang .lang-opener:after {
  -webkit-transform: rotate(135deg);
  transform: rotate(135deg);
  border-color: currentColor;
  margin-top: -0.5rem;
  width: 0.5rem;
  height: 0.5rem;
  right: 0.3rem;
}
.lang .lang-opener:hover:after {
  border-color: #FFEA00;
}
.lang .lang-opener:before {
  display: none;
}
.lang ul {
  visibility: hidden;
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  height: 0;
  list-style: none;
  margin: -1rem 0 0 0;
  padding: 0 0.5rem;
  font-weight: bold;
  font-size: 1.5rem;
  opacity: 0;
  -webkit-transition: height 0.5s, opacity 0.5s, visibility 0.5s;
  transition: height 0.5s, opacity 0.5s, visibility 0.5s;
}
.lang ul li {
  padding: 0.4rem 0 0.4rem 1rem;
  line-height: 2rem;
}
.lang ul li a:hover {
  color: #FFEA00;
}
.lang.open {
  margin-top: -5.6rem;
}
.lang.open ul {
  visibility: visible;
  height: 5.6rem;
  opacity: 1;
}
.lang.open .lang-opener {
  color: #FFEA00;
}

.header .buttons {
  padding-left: 2rem;
  padding-right: 2rem;
}
.header .buttons:after {
  width: 25rem;
  height: 10rem;
  background-size: auto 7.3rem, auto 7rem, auto 7rem;
  margin: auto;
}

.main {
  display: inline-block;
  width: 100%;
  height: 100%;
  max-height: calc(100% - 13rem);
  background: #666;
  position: relative;
}
.main .block {
  width: 33.33%;
  height: 33.33%;
  display: inline-block;
  position: relative;
}
.main .block * {
  position: relative;
  width: 100%;
  z-index: 1;
}
.main .block:before,
.main .block:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.main .block:before {
  opacity: 0.6;
  background-image: -ms-linear-gradient(bottom, #000 0%, rgba(58,58,58,0.55) 66%);
  background-image: -moz-linear-gradient(bottom, #000 0%, rgba(58,58,58,0.55) 66%);
  background-image: -o-linear-gradient(bottom, #000 0%, rgba(58,58,58,0.55) 66%);
  background-image: -webkit-linear-gradient(bottom, #000 0%, rgba(58,58,58,0.55) 66%);
  z-index: 0;
}
.main .block:after {
  opacity: 0;
  background: #000;
  -webkit-transition: opacity 0.5s;
  transition: opacity 0.5s;
}

.main:hover .block:after {
  opacity: 0.6;
}
.main .block:nth-child(odd) {
  float: right;
}
.main .block:nth-child(even) {
  float: left;
  clear: left;
}
.main .block:hover:after {
  opacity: 0;
}
.main .block a {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-flow: column;
  flex-flow: column;
  -webkit-justify-content: flex-end;
  justify-content: flex-end;
  width: 100%;
  height: 100%;
  padding: 3rem;
}
.main .block .title {
  font-size: 2.6rem;
  margin: 0 0 1rem 0;
}
.main .block .title span {
  color: #FFEA00;
}
.main .block.szemely {
  float: none;
  position: absolute;
  left: 33.33%;
  top: 0;
  height: 100%;
  background: url('/frontpage/images/szemelyszallitas.jpg') no-repeat;
  background-size: cover;
  background-position: center bottom;
}
.main .block.szemely .title {
  font-size: 3.2rem;
}
.main .block.palyavasut {
  background: url('/frontpage/images/palyavasut.jpg') no-repeat;
  background-size: cover;
  background-position: center center;
}
.main .block.gepeszet {
  background: url('/frontpage/images/gepeszet.jpg') no-repeat;
  background-size: cover;
  background-position: center center;
}
.main .block.cargo {
  background: url('/frontpage/images/cargo4.jpg') no-repeat;
  background-size: cover;
  background-position: center center;
}
.main .block.raaberbahn {
  background: url('/frontpage/images/raaberbahn.jpg') no-repeat;
  background-size: cover;
  background-position: center center;
}
.main .block.hotel {
  background: url('/frontpage/images/hotelsopron.jpg') no-repeat;
  background-size: cover;
  background-position: center center;
}
.main .block.karrier {
  background: url('/frontpage/images/karrier.jpg') no-repeat;
  background-size: cover;
  background-position: center top;
}

.footer,
.footer .branding {
  display: none;
}
.footer {
  background: #018940;
}
.footer .eu-logo {
  -webkit-transition: none;
  transition: none;
}
.footer .eu-logo:hover {
  -webkit-transform: none;
  transform: none;
}

.touch-device .main:hover .block:after {
  opacity: 0;
}
.touch-device .main .block:hover:after {
  opacity: 0.6;
}

/* 1300px */
@media screen and (max-width: 81.25em) {
  /* eu logo hidden
  .header .buttons:after {
    width: 16rem;
    height: 10rem;
    background: url('../images/csaladbarat-logo.svg') no-repeat, url('../images/ev-honlapja-2021.svg') no-repeat;
    background-size: auto 7.3rem, auto 7rem;
    background-position: left center, right center;
    margin: auto;
  } */
}

/*1199px*/
@media screen and (max-width: 74.9375em) {
  .main .block.szemely .title {
    font-size: 2.6rem;
  }

  /* eu logo hidden
  .header .buttons:after {
    display: none;
  } */
  .header .buttons:after {
    width: 16rem;
    height: 10rem;
    background: url('../images/csaladbarat-logo.svg') no-repeat, url('../images/ev-honlapja-2021.svg') no-repeat;
    background-size: auto 7.3rem, auto 7rem;
    background-position: left center, right center;
    margin: auto;
  }
  .header.top .buttons:after {
    display: none;
  }


  .lang {
    margin-left: auto;
  }
}

/*1023px*/
@media screen and (max-width: 63.9375em) {
  .header .branding {
    padding-left: 2rem;
  }
  .eu-logo:hover {
    -webkit-transform: scale(1.2);
    transform: scale(1.2);
  }
  .main .block {
    width: 50%;
    height: 22%;
  }
  .main .block.szemely {
    position: relative;
    left: 0;
    width: 100%;
    height: 34%;
    background-size: 103rem auto;
    background-position: center -41rem;
  }
}

/*980px*/
@media screen and (max-width: 61.25em) {
  .branding .logo {
    margin-right: 1rem;
  }
  .branding .anno {
    padding-left: 7rem;
  }
  .header .buttons .btn {
    font-size: 1.4rem;
  }
}

/*950px, 1023 and 950*/
@media
/*screen and (max-width: 47.9375em),*/
screen and (max-width: 59.375em),
screen and (max-width: 63.9375em) and (max-height: 59.375em) {
  body {
    overflow: auto;
  }
  .wrap {
    height: auto;
  }
  .header.bottom {
    display: none !important;
  }
  .header.top {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
  }
  .header {
    -webkit-order: 0;
    order: 0;
    height: 10rem;
    min-height: 0;
  }
  .header .branding {
    padding: 0 2rem;
    min-width: 0;
    width: 100%;
  }
  .header .buttons {
    padding: 0;
  }
  .header .buttons > .btn,
  .header .eu-logo {
    display: none;
  }
  .header .lang {
    margin-right: 3.5rem;
  }
  .header .lang .lang-opener {
    background: none;
    padding: 0 0 1rem 0;
    color: #fff;
  }
  .header .lang .lang-opener::before {
    display: none;
  }
  .header .lang .lang-opener::after {
    top: auto;
    bottom: 0;
    right: auto;
    left: 50%;
    width: 0.5rem;
    height: 0.5rem;
    margin: 0 0 0.2rem -0.4rem;
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
    -webkit-transition: opacity 0.5s;
    transition: opacity 0.5s;
  }
  .header .lang ul {
    top: 100%;
    left: 0;
    font-size: 1.4rem;
    text-align: left;
    height: 6rem;
    width: 100%;
    padding: 0;
    margin-top: -1rem;
  }
  .header .lang ul li {
    float: none;
    padding: 0.8rem 0.5rem;
    line-height: 1;
  }
  .header .lang.open {
    margin-top: -4.8rem;
  }
  .header .lang.open {
    margin-top: -5rem;
  }
  .header .lang .lang-opener:hover,
  .header .lang.open .lang-opener {
    color: #FFEA00;
  }
  .header .lang.open .lang-opener:after {
    opacity: 0;
  }
  .footer {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-align-items: center;
    align-items: center;
    width: 100%;
    height: 12rem;
  }
  .footer .eu-logo {
    position: fixed;
    right: 0;
    bottom: 0;
  }
  .footer .buttons {
    width: 100%;
    padding: 0.5rem;
    /* eu logo hidden
    padding-right: 22rem; */
    -webkit-justify-content: flex-start;
    justify-content: flex-start;
  }
  .footer .buttons:after {
    width: 21rem;
    height: 10rem;
    margin: auto;
    background-size: auto 6rem, auto 6rem, auto 6rem;
  }
  .main .block {
    height: 20rem;
  }
  .main .block.szemely {
    height: 25rem;
    background-size: 103rem;
    background-position: center -40rem;
  }
  .main .block.szemely .title {
    font-size: 2.6rem;
  }
  .main .block .desc {
    display: none;
  }
  .main .block a {
    padding: 2rem;
  }
}

/* 950, 950  */
@media screen and (max-width: 59.375em) and (min-height: 59.375em) {
  .wrap {
    height: 100vh;
  }
  .header .branding {
    padding-left: 2rem;
  }
  .eu-logo:hover {
    -webkit-transform: scale(1.2);
    transform: scale(1.2);
  }
  .main .block {
    width: 50%;
    height: 22%;
  }
  .main .block.szemely {
    position: relative;
    left: 0;
    width: 100%;
    height: 34%;
    background-size: 103rem auto;
    background-position: center -41rem;
  }
}

/*639px*/
@media screen and (max-width: 39.9375em) {
  .main .block .title {
    margin: 0;
  }
  .main .block.szemely {
    background-size: 70rem;
    background-position: center -27rem;
  }
  .footer {
    height: auto;
  }
  .footer .buttons {
    max-width: 60rem;
    padding-left: 1rem;
  }
  .footer .buttons .btn {
    padding: 1rem;
    width: 100%;
    margin: 0.5rem 0;
  }
}

/*540px*/
@media screen and (max-width: 33.75em) {
  .main .block {
    width: 100%;
  }
}

/*479px*/
@media screen and (max-width: 29.9375em) {
  .main .block.szemely {
    background-size: 60rem;
    background-position: center -22rem;
  }
  .header .branding {
    padding: 0 0 0 1rem;
  }
  .branding .logo {
    width: 5rem;
    height: auto;
  }
  .branding .logo img {
    width: 5rem;
  }
  .branding .sitename {
    font-size: 1.4rem;
    height: 5.4rem;
    padding-top: 0;
  }
  .branding .sitename span {
    font-size: 1rem;
  }
  .branding .anno {
    font-size: 0.8rem;
    padding-left: 6rem;
  }
  .header {
    height: 9rem;
  }
  .header .lang {
    margin-right: 1rem;
  }
  .footer .buttons .btn {
    font-size: 1.4rem;
    padding: 1rem;
  }
  .footer .buttons .btn:after {
    display: none;
  }
  .footer .buttons:after {
    position: static;
    width: 12rem;
    background: url('../images/csaladbarat-logo.svg') no-repeat, url('../images/ev-honlapja-2021.svg') no-repeat;
    background-position: left center, right center;
    background-size: auto 5.5rem;
  }
  .footer .eu-logo,
  .footer .eu-logo img {
    height: 15rem;
  }
}


/*360px*/
@media screen and (max-width: 22.5em) {
  .branding .sitename {
    font-size: 1.2rem;
  }
  .header .lang .lang-opener,
  .header .lang ul {
    font-weight: normal;
  }
  .header .lang .lang-opener:after {
    display: none;
  }
  .footer .buttons {
    /* eu logo hidden
    padding-right: 21rem; */
  }

  .footer .buttons .btn {
    font-size: 1.2rem;
  }
}

/*1023 and 639*/
@media screen and (max-width: 63.9375em) and (max-height: 39.9375em) {
  body.zoom .eu-logo {
    width: 26vw;
    height: 35vh;
    text-align: right;
  }
  body.zoom .eu-logo img {
    width: 100%;
    height: auto;
  }
  body.zoom .eu-logo:hover {
    width: 30vw;
    height: 41vh;
  }
}

@media screen and (max-height: 22.5em) {
  .main .block {
    height: 18rem;
  }
  .main .block.szemely {
    height: 22rem;
  }
}
